
Infrastructure - Bug #2917

Add both Root and Production CA to /var/local/dataone/ca for dataone_cn_os_core

2012-06-12 03:42 - Robert Waltz

Status: Closed Start date: 2012-06-11

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Sprint-2012.23-Block.3.4   

Milestone: CCI-1.0.1 Story Points:  

Product Version: *   

Description

Immediate fix.  We need to divide out the Dataone Production chain file into two separate file during installation.

SSLCACertificatePath does not handle chain files.

Upon completion of this bug, create a story about use of SSLCertificateChainFile directive in apache instead of

SSLCACertificatePath.  We should discuss the option of concatenating all CA files together (cilogon + DataONE) into a single pem

file.

History

#1 - 2012-06-12 20:43 - Robert Waltz

- Milestone changed from CCI-1.0.0 to CCI-1.0.1

#2 - 2012-06-13 15:03 - Robert Waltz

- Status changed from New to In Progress

#3 - 2012-06-19 05:29 - Robert Waltz

- Status changed from In Progress to Closed
